DtMmdbGraphicGetData(library call)

NAME
DtMmdbGraphicGetData — obtains the data for a graphic object

SYNOPSIS

#include &<DtMmdb.h>
const char* DtMmdbGraphicGetData(
DtMmdbInfoRequest* request,
unsigned int* length);

DESCRIPTION

The DtMmdbGraphicGetData function returns the data for a graphic object. Do not use the free function on the returned pointer. Table lookup is involved because the graphic identifier is specified by the locator_ptr field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and the identifier of the graphic object in the locator_ptr field.

length
    Specifies the variable to receive the length of the returned data, if the returned pointer to the title is not NULL.

RETURN VALUE

If DtMmdbGraphicGetData completes successfully, it returns a pointer to the data for the graphic object. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbGraphicGetData call might be coded.

DtMmdbInfoRequest request;
/* fill the request */
DtMmdbGraphicGetData(&&request);

SEE ALSO

TO BE SUPPLIED